| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::AdvancedRenameManager Class Reference
Inheritance diagram for Digikam::AdvancedRenameManager:

## Public Types
enum | ParserType { DefaultParser = 0 , ImportParser }
enum | SortAction { SortName = 0 , SortDate , SortSize , SortCustom }
enum | SortDirection { SortAscending = 0 , SortDescending }

## Signals
void | signalSortingChanged (QList< QUrl >)

## Public Member Functions
| AdvancedRenameManager (const QList< ParseSettings > &files)
void | addFiles (const QList< ParseSettings > &files)
QStringList | fileList () const
Parser * | getParser () const
int | indexOfFile (const QString &filename)
int | indexOfFileCounter (const QString &filename)
int | indexOfFileGroup (const QString &filename)
int | indexOfFolder (const QString &filename)
QMap< QString, QString > | newFileList (bool checkFileSystem=false) const
QString | newName (const QString &filename) const
void | parseFiles ()
void | parseFiles (const ParseSettings &settings)
void | parseFiles (const QString &parseString)
void | parseFiles (const QString &parseString, const ParseSettings &settings)
QString | randomStringOfIndex (int index)
void | reset ()
void | setCutFileName (int index)
void | setParserType (ParserType type)
void | setSortAction (SortAction action)
void | setSortDirection (SortDirection direction)
void | setStartIndex (int index)
void | setWidget (AdvancedRenameWidget *widget)
SortAction | sortAction () const
SortDirection | sortDirection () const